Table of Contents

Module: Pmw | ../bkchem/Pmw.py
--- | ---
Functions |
--- | ---
__TkinterToplevelDestroy __TkinterToplevelTitle __TkinterWidgetDestroy __methodDict __methods __unique aboutcontact aboutcopyright aboutversion aligngrouptags alignlabels alphabeticvalidator alphanumericvalidator busycallback clearbusycursor datestringtojdn datevalidator | displayerror drawarrow forwardmethods grabstacktopwindow hexadecimalvalidator hidebusycursor initialise installedversions integervalidator jdntoymd logicalfont logicalfontnames numericvalidator popgrab pushgrab realvalidator releasegrabs | reporterrorstofile setalphaversions setbusycursorattributes setgeometryanddeiconify setversion setyearpivot showbusycursor stringtoreal timestringtoseconds timevalidator tracetk version ymdtojdn
| __TkinterToplevelDestroy
    __TkinterToplevelDestroy ( tkWidget )
| __TkinterToplevelTitle
    __TkinterToplevelTitle ( self,  *args )
| __TkinterWidgetDestroy
    __TkinterWidgetDestroy ( tkWidget )
| __methodDict
    __methodDict ( cls,  dict )
| __methods
    __methods ( cls )
| __unique
    __unique ()
| aboutcontact
    aboutcontact ( value )
| aboutcopyright
    aboutcopyright ( value )
| aboutversion
    aboutversion ( value )
| aligngrouptags
    aligngrouptags ( groups )
| alignlabels
    alignlabels ( widgets,  sticky=None )
| alphabeticvalidator
    alphabeticvalidator ( text )
| alphanumericvalidator
    alphanumericvalidator ( text )
| busycallback
    busycallback ( command,  updateFunction=None )
Exceptions |
--- | ---
ValueError, 'cannot register non-command busy callback %s %s' %(repr( command ), type( command ) )
| clearbusycursor
    clearbusycursor ()
| datestringtojdn
    datestringtojdn (
            text,
            format='ymd',
            separator='/',
            )
Exceptions |
--- | ---
ValueError, 'invalid value: ' + text
| datevalidator
    datevalidator (
            text,
            format='ymd',
            separator='/',
            )
| displayerror
    displayerror ( text )
| drawarrow
    drawarrow (
            canvas,
            color,
            direction,
            tag,
            baseOffset=0.25,
            edgeOffset=0.15,
            )
| forwardmethods
    forwardmethods (
            fromClass,
            toClass,
            toPart,
            exclude=(),
            )
Exceptions |
--- | ---
TypeError, 'toPart must be attribute name, function or method'
| grabstacktopwindow
    grabstacktopwindow ()
| hexadecimalvalidator
    hexadecimalvalidator ( text )
| hidebusycursor
    hidebusycursor ( forceFocusRestore=0 )
| initialise
    initialise (
            root=None,
            size=None,
            fontScheme=None,
            useTkOptionDb=0,
            noBltBusy=0,
            disableKeyboardWhileBusy=None,
            )
| installedversions
    installedversions ( alpha=0 )
| integervalidator
    integervalidator ( text )
| jdntoymd
    jdntoymd (
            jdn,
            julian=-1,
            papal=1,
            )
| logicalfont
    logicalfont (
            name='Helvetica',
            sizeIncr=0,
            **kw,
            )
Exceptions |
--- | ---
ValueError, 'font %s does not exist' % name
| logicalfontnames
    logicalfontnames ()
| numericvalidator
    numericvalidator ( text )
| popgrab
    popgrab ( window )
| pushgrab
    pushgrab (
            grabWindow,
            globalMode,
            deactivateFunction,
            )
| realvalidator
    realvalidator ( text,  separator='.' )
| releasegrabs
    releasegrabs ()
| reporterrorstofile
    reporterrorstofile ( file=None )
| setalphaversions
    setalphaversions ( *alpha_versions )
Exceptions |
--- | ---
ValueError, 'Dynamic versioning not available'
| setbusycursorattributes
    setbusycursorattributes ( window,  **kw )
Exceptions |
--- | ---
KeyError, 'Unknown busycursor attribute "' + name + '"'
| setgeometryanddeiconify
    setgeometryanddeiconify ( window,  geom )
| setversion
    setversion ( version )
Exceptions |
--- | ---
ValueError, 'Dynamic versioning not available'
| setyearpivot
    setyearpivot ( pivot,  century=None )
| showbusycursor
    showbusycursor ()
| stringtoreal
    stringtoreal ( text,  separator='.' )
Exceptions |
--- | ---
ValueError, 'invalid value: ' + text
| timestringtoseconds
    timestringtoseconds ( text,  separator=':' )
Exceptions |
--- | ---
ValueError, 'invalid value: ' + text
| timevalidator
    timevalidator ( text,  separator=':' )
| tracetk
    tracetk (
            root=None,
            on=1,
            withStackTrace=0,
            file=None,
            )
| version
    version ( alpha=0 )
| ymdtojdn
    ymdtojdn (
            year,
            month,
            day,
            julian=-1,
            papal=1,
            )
Classes |
AboutDialog |
Balloon |
ButtonBox |
ComboBox |
ComboBoxDialog |
Counter |
CounterDialog |
Dialog |
EntryField |
Group |
HistoryText |
LabeledWidget |
MainMenuBar |
MegaArchetype |
MegaToplevel |
MegaWidget |
MenuBar |
MessageBar |
MessageDialog |
NoteBook |
OptionMenu |
PanedWidget |
PromptDialog |
RadioSelect |
ScrolledCanvas |
ScrolledField |
ScrolledFrame |
ScrolledListBox |
ScrolledText |
SelectionDialog |
TextDialog |
TimeCounter | Up-down counter
__TkinterCallWrapper |

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1